#!/usr/bin/perl
{
# set up a slave gm_allsize on the destination_node
# gm_allsize --slave --size=20
# then run on the local node
# gmperf.pl <destination_node> [size [local_board [gm_allsize_params]]]
#
# NOTE TO MYSELF: cobble in a --help response           - Max 2001/06/08


	$desthost = shift(@ARGV) || die "error: gmperf.pl <destination_node> [size [local_board [gm_allsize_params]]]";
	$size = shift(@ARGV) || 20;
	$lboard = shift(@ARGV) || 0;

	$cmd = "gm_debug --no-counters --board=$lboard > $desthost.gm_debug";
	print "$cmd\n";
	system "$cmd";

	$cmd = "gm_board_info --board=$lboard > $desthost.gm_board_info";
	print "$cmd\n";
	system "$cmd";

	$cmd = "gm_allsize --versionstamp --board=$lboard --size=$size --remote-host=$desthost --latency --bidirectional --geometric --output=$desthost.lat.b.gpl @ARGV ";
	print "$cmd\n";
	system "$cmd";

	$cmd = "gm_allsize --versionstamp --board=$lboard --size=$size --remote-host=$desthost --latency --unidirectional --geometric --output=$desthost.lat.u.gpl @ARGV ";
	print "$cmd\n";
	system "$cmd";

	$cmd = "gm_allsize --versionstamp --board=$lboard --size=$size --remote-host=$desthost --bandwidth --bidirectional --geometric --output=$desthost.bw.b.gpl @ARGV ";
	print "$cmd\n";
	system "$cmd";

	$cmd = "gm_allsize --versionstamp --board=$lboard --size=$size --remote-host=$desthost --bandwidth --bidirectional --both-ways --geometric --output=$desthost.bw.both.gpl @ARGV ";
	print "$cmd\n";
	system "$cmd";

	$cmd = "gm_allsize --versionstamp --board=$lboard --size=$size --remote-host=$desthost --bandwidth --unidirectional --geometric --output=$desthost.bw.u.gpl @ARGV ";
	print "$cmd\n";
	system "$cmd";

	print "\n\nCompleted GM tests.\n";
}
