/* include/gm_auto_config.h.  Generated automatically by configure.  */
/* include/gm_auto_config.h.in.  Generated automatically from configure.in by autoheader 2.13.  */
/******************************************************************-*-c-*-
 * Myricom GM networking software and documentation			 *
 * Copyright (c) 1999 by Myricom, Inc.					 *
 * All rights reserved.	 See the file `COPYING' for copyright notice.	 *
 *************************************************************************/

#ifndef _gm_auto_config_h_
#define _gm_auto_config_h_


/* Define to empty if the keyword does not work.  */
/* #undef const */

/* Define to `int' if <sys/types.h> doesn't define.  */
/* #undef gid_t */

/* Define if you have a working `mmap' system call.  */
#define HAVE_MMAP 1

/* Define as __inline if that's what the C compiler calls it.  */
/* #undef inline */

/* Define to `long' if <sys/types.h> doesn't define.  */
/* #undef off_t */

/* Define as the return type of signal handlers (int or void).  */
#define RETSIGTYPE void

/* Define to `unsigned' if <sys/types.h> doesn't define.  */
/* #undef size_t */

/* Define if you have the ANSI C header files.  */
#define STDC_HEADERS 1

/* Define to `int' if <sys/types.h> doesn't define.  */
/* #undef uid_t */

/* Define if your processor stores words with the most significant
   byte first (like Motorola and SPARC, unlike Intel and VAX).  */
/* #undef WORDS_BIGENDIAN */

/* Define if you have the atexit function.  */
#define HAVE_ATEXIT 1

/* Define if you have the getpagesize function.  */
#define HAVE_GETPAGESIZE 1

/* Define if you have the memalign function.  */
#define HAVE_MEMALIGN 1

/* Define if you have the on_exit function.  */
#define HAVE_ON_EXIT 1

/* Define if you have the <asm/rmap.h> header file.  */
#define HAVE_ASM_RMAP_H 1

/* Define if you have the <dlfcn.h> header file.  */
#define HAVE_DLFCN_H 1

/* Define if you have the <fcntl.h> header file.  */
#define HAVE_FCNTL_H 1

/* Define if you have the <linux/compile.h> header file.  */
/* #undef HAVE_LINUX_COMPILE_H */

/* Define if you have the <netinet/in.h> header file.  */
#define HAVE_NETINET_IN_H 1

/* Define if you have the <stdarg.h> header file.  */
#define HAVE_STDARG_H 1

/* Define if you have the <stdio.h> header file.  */
#define HAVE_STDIO_H 1

/* Define if you have the <strings.h> header file.  */
#define HAVE_STRINGS_H 1

/* Define if you have the <sys/errno.h> header file.  */
#define HAVE_SYS_ERRNO_H 1

/* Define if you have the <sys/file.h> header file.  */
#define HAVE_SYS_FILE_H 1

/* Define if you have the <sys/kmem.h> header file.  */
/* #undef HAVE_SYS_KMEM_H */

/* Define if you have the <sys/mman.h> header file.  */
#define HAVE_SYS_MMAN_H 1

/* Define if you have the <sys/time.h> header file.  */
#define HAVE_SYS_TIME_H 1

/* Define if you have the <sys/types.h> header file.  */
#define HAVE_SYS_TYPES_H 1

/* Define if you have the <unistd.h> header file.  */
#define HAVE_UNISTD_H 1

/* Define if you have the <windows.h> header file.  */
/* #undef HAVE_WINDOWS_H */

/* Define if you have the gcc library (-lgcc).  */
#define HAVE_LIBGCC 1
/*****
 * Begin BOTTOM section of acconfig.h
 *****/

/* Turn on O(1)-time debugging features? */

#define GM_DEBUG 0

/* What is the target OS for the software */

#define	GM_OS_SOLARIS 0
#define	GM_OS_SOLARIS7 0
#define	GM_OS_LINUX 1
#define	GM_OS_NT4 0
#define	GM_OS_WIN2K 0
#define	GM_OS_IRIX 0
#define	GM_OS_VXWORKS 0
#define	GM_OS_OSF1 0
#define	GM_OS_FREEBSD 0
#define	GM_OS_HPUX 0
#define	GM_OS_AIX4 0
#define	GM_OS_MACOSX 0

/* What host CPU are we compiling for? */

#if GM_BUILDING_FIRMWARE
#define GM_CPU_alpha 0
#define GM_CPU_lanai 0
#define GM_CPU_mips 0
#define GM_CPU_powerpc 0
#define GM_CPU_sparc 0
#define GM_CPU_sparc64 0
#define GM_CPU_x86 1
#define GM_CPU_hppa 0
#define GM_CPU_ia64 0
#endif /* GM_BUILDING_FIRMWARE */

/* What types of LANai interfaces should be supported */

#define GM_SUPPORT_L4 0
#define GM_SUPPORT_L5 0
#define GM_SUPPORT_L6 0
#define GM_SUPPORT_L7 1
#define GM_SUPPORT_L8 0
#define GM_SUPPORT_L9 1

/* What I/O busses should be supported */

#define GM_SUPPORT_PCI_REV_1 1
#define GM_SUPPORT_PCI_REV_2 1
#define GM_SUPPORT_PCI_REV_3 1
#define GM_SUPPORT_SBUS 0

/* What size pages should be supported */

#define GM_SUPPORT_0K_PAGES 0
#define GM_SUPPORT_4K_PAGES 1
#define GM_SUPPORT_8K_PAGES 0
#define GM_SUPPORT_16K_PAGES 0

/* What sizes of user pointers are supported */

#define GM_SUPPORT_32_BIT_USER_PTRS 1
#define GM_SUPPORT_64_BIT_USER_PTRS 0

/* What size cache lines should be supported */

#define GM_SUPPORT_32B_CACHE_LINES 0
#define GM_SUPPORT_64B_CACHE_LINES 0
#define GM_SUPPORT_128B_CACHE_LINES 0

/* Should we support CRC32? */

#define GM_ENABLE_CRC32 0

/* Should we support buggy Galvantech SRAM? */

#define GM_ENABLE_GALVANTECH_WORKAROUND 0

/* Does this architecture have virtual memory support?  The MCP handles
   GM_ENABLE_VM based on a -DGM_ENABLE_VM=x command when it is compiled,
   so we don't want this definition included in mcp files. */

#if !GM_MCP
#define GM_ENABLE_VM 1
#endif

/* Should we use the default interrupt handler, or an architecture-specific
   one? */

#define GM_USE_DEFAULT_INTERRUPT_HANDLER 1


/* Does this architecture require byte flipping eventhough it is big endian? */

#define GM_BYTE_FLIP_NEEDED 0

/* Does this architecture support mapping dma memory registration? */

#define GM_CAN_REGISTER_MEMORY 1

/* Does this architecture need memset and memcpy functions for Gnu
   code to run in the kernel? */

#define	GM_NEED_MEMCPY 0
#define	GM_NEED_MEMSET 0

/* Determine the size of DMAs required into the receive queue to ensure
   that the cache is flushed.

   NOTE: this autoconfig variable is deprecated.  The symbol
         GM_RDMA_GRANULARITY is hard-coded in gm.h, the same for all
         platforms.  We keep this here, and in configure.in, as a place-
         holder in case platform-dependent definitions are ever needed.
         Both making this value platform-dependent and making it anything
         larger than its current 64 would be significant challenges.
 */
#if 0
#define GM_RDMA_GRANULARITY 32
#endif

/* Indicate the amount of debugging output to generate. */

#define GM_PRINT_LEVEL 0

/* define if we want to do batch structures writes instead of writing
   individual byte/or word wth PIO to the send queue or receive-token
   queues */

#define GM_STRUCT_WRITE_COMBINING 1

/* define to enable ethernet gather byte DMA emulation in the MCP. */

#define GM_EMULATE_BYTE_DMAS 1

/* define on machines that require readbacks to flush PCI writes. */
#define GM_NEED_READBACK_TO_FLUSH_WRITES 0

/* define to enable the directcopy feature */
#define GM_ENABLE_DIRECTCOPY 0

/* Do we need to compile for cards with small amount of memory? */
#ifndef GM_MIN_SUPPORTED_SRAM
#define GM_MIN_SUPPORTED_SRAM 1024
#endif

/* Shall we enable new features found in LANai7 and up */
/* This includes crc32, a larger page cache and jumbo Ethernet frames */
#ifndef GM_ENABLE_NEW_FEATURES
#define GM_ENABLE_NEW_FEATURES 1
#endif

/* set if partword PIO accesses are not allowed. */
#define GM_NO_PARTWORD_PIO_READ 0
#define GM_NO_PARTWORD_PIO_WRITE 0

/* define to be the size of the largest DMA pointer the driver
   needs to support _ON THIS TARGET PLATFORM_. */
#define GM_SIZEOF_DP_T 8

/* define this on Linux if function/macro pte_offset_map exists (highpte support) */
/* #undef HAVE_PTE_OFFSET_MAP */

/* define this on Linux if function/macro pte_offset_map_nested exists
   (highpte 2.5 variant vs redhat advanced server) */
/* #undef HAVE_PTE_OFFSET_MAP_NESTED */

/* define this if remap_page_range take a vma argument first (2.5 or
   redhat advanced server) */
/* #undef HAVE_REMAP_PAGE_RANGE_5ARGS */

/* define this if mmap_up_write/down_write exist (prerelease redhat advanced
   server) */
/* #undef HAVE_MMAP_UP_WRITE */

#endif /* _gm_auto_config_h_ */
