/******************************************************************-*-c-*-
 * Myricom GM networking software and documentation			 *
 * Copyright (c) 1999 by Myricom, Inc.					 *
 * All rights reserved.	 See the file `COPYING' for copyright notice.	 *
 *************************************************************************/

/* author: glenn@myri.com */

#ifndef _gm_roster_h_
#define _gm_roster_h_

/************
 * Roster
 ************/

/* Make sure all the GM developer usernames are defined.  These must
   be exactly the usernames used from the user's USERNAME
   environmental variable.  The Makefile cause -D${USERNAME}=1 to be
   defined for all compilations.

   Note that if the user is "root" then -DXXrootXX=1 is defined
   Note that if the user is "test" then -DXXtestXX=1 is defined
  

   These can be used for handy developer-specific debugging like
   
   > GM_PRINT (glenn, "Glenn, you goofed!\n");

   or in macros like
   
   > #if glenn | nelson
   > #error Glenn and Nelson, one of you goofed!
   > #endif

   */

#ifndef eugene
#define eugene 0
#endif

#ifndef feldy
#define feldy 0
#endif

#ifndef finucane
#define finucane 0
#endif

#ifndef gallatin
#define gallatin 0
#endif

#ifndef glenn
#define glenn 0
#endif

#ifndef karen
#define karen 0
#endif

#ifndef loic
#define loic 0
#endif

#ifndef lyan
#define lyan 0
#endif

#ifndef maxstern
#define maxstern 0
#endif

#ifndef nelson
#define nelson 0
#endif

#ifndef patrick
#define patrick 0
#endif

#ifndef ruth
#define ruth 0
#endif

#endif /* _gm_roster_h_ */

/*
  This file uses GM standard indentation:

  Local Variables:
  c-file-style:"gnu"
  tab-width:8
  End:
*/
